#!/bin/sh

DESTDIR=$SBOX_DIR/host_shared/lib
mkdir -p $DESTDIR

DEB_LIST="gcc-3.3 libgcc1 libstdc++5 libstdc++5-3.3-dev linux-kernel-headers \
          zlib1g        zlib1g-dev      \
          libacl1       libacl1-dev     \
          libncurses5   libncurses5-dev \
          libpcre3      libpcre3-dev    \
          libapr0       libapr0-dev     \
          libattr1      libattr1-dev    \
          libcomerr2                    \
          libdb4.2      libdb4.2-dev    \
          libexpat1     libexpat1-dev   \
          libkrb53                      \
          libldap2      libldap2-dev    \
          libneon24     libneon24-dev   \
          libssl0.9.7                   \
          libxml2                       \
          libgnutls11   libgnutls11-dev \
          libsasl2      libsasl2-dev    \
          libgcrypt11   libgcrypt11-dev \
          libgpg-error0                 \
          libtasn1-2    libtasn1-2-dev  \
          libbz2-1.0    libbz2-dev      "

# Copy shared libraries

for f in `dpkg -L $DEB_LIST | grep '/lib.*\.so'`; do
	if [ -L $f ]; then
		target=`readlink $f`
		ln -sf `basename $target` $DESTDIR/`basename $f`
	else
		install -p $f $DESTDIR/
	fi
done

# Copy static libraries

for f in `dpkg -L $DEB_LIST | grep '/lib.*\.a$'`; do
	if [ -L $f ]; then
		cp -a $f $DESTDIR/
	else
		install -p $f $DESTDIR/
	fi
done

# Copy headers

for f in `dpkg -L $DEB_LIST | grep ^/usr/include/`; do
	if [ ! -d $f ]; then
		install -D -p $f $SBOX_DIR/host_shared/`echo $f | sed 's/^\/usr\///'`
	fi
done

# Configure ld.so links

/sbin/ldconfig -n $DESTDIR
